html {
  background-color: white;
}
.body {
  padding: 0px;
}
.the-toc {
  flex-grow: 1;
}
.the-search {
}
.sphinxsidebar {
  display: flex;
  flex-direction: column;
}
#main-search form .input-group {
  width: 100%;
  margin: 0 0 12px 0;
  padding: 0;
  border: none;
}
#search-results {
  padding: 15px;
}
h1, h2, h3 {
  margin-top: 20px;
  margin-bottom: 10px;
}
h1 {
  padding: 15px 10px 10px 15px;
  margin-left: -15px;
  margin-right: -15px;
  margin-top: 12px;
  margin-bottom: 12px;
}
div.section {
  padding-left: 15px;
  padding-right: 15px;
}
span.mono {
  font-family: Consolas, monospace;
}
code.descname {
  font-family: inherit;
  font-size: inherit;
  color: inherit;
}
code {
  padding: 0;
}
pre {
  padding-left: 1em;
  padding-bottom: 0.5em;
  padding-right: 0;
  margin: 0.5em 0;
}
.breadcrumb {
  margin-bottom: 8px;
  padding: 0px 15px;
}
.sidebar-toc {
  padding: 0 0 8px 0;
}
.sidebar-toc ul {
    padding-left: 0;
}
.sidebar-toc li.toctree-l1 {
  padding-left: 8px;
}
.sidebar-toc ul li.toctree-l1 a {
  padding-left: 8px;
  margin-left: -8px;
  padding-top: 0;
  padding-bottom: 0;
}
.sidebar-toc ul li.toctree-l2 a {
  padding-left: 16px;
  margin-left: -16px;
  padding-right: 0;
}
.sidebar-toc ul li.toctree-l3 a {
  padding-left: 24px;
  margin-left: -24px;
  padding-right: 0;
}
.sidebar-toc ul li.toctree-l4 a {
  padding-left: 32px;
  margin-left: -32px;
  padding-right: 0;
}
.sidebar-toc li.toctree-l2, .sidebar-toc li.toctree-l3, .sidebar-toc li.toctree-l4 {
  padding-left: 8px;
}
div.sphinxsidebar .sidebar-toc ul ul {
  margin: none;
  padding: none;
}
.sidebar-block {
  margin: 8px 0 16px 0;
}
.sidebar-block h2 {
  margin: 0;
}
.sphinxsidebar > .sidebar-block:not(:last-child):after {
    margin: 8px 8px 0 8px;
}
div.body > p, div.body form {
  padding: 15px;
}
tr.field td:first-child {
  display: none;
}



